curl --request PUT \
--url https://api.virtuoussoftware.com/api/ProjectNote/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ProjectNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}"
payload = {
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectNote/{noteId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 870010,
"createDateTimeUtc": "2025-11-05T13:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/program-team.png",
"type": "Update",
"note": "Secured 350 turkeys via an in-kind donation from Northwind Logistics for the Holiday Meals distribution.",
"important": true,
"isPrivate": false,
"binaryPath": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Update a Project Note
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The note identifier.
Body
The note type. Must match a note type configured for the organization.
The body of the note.
When true, the note is flagged as important.
When true, the note is only visible to users with permission to view private notes.
The identifier of the contact this record belongs to.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
When true, the record is only visible to users with permission to view private records.
Was this page helpful?